# Class X509Exception.SSLContextException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.apache.zookeeper.common.X509Exception
org.apache.zookeeper.common.X509Exception.SSLContextException

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  `X509Exception`

public static class X509Exception.SSLContextException extends X509Exception

See Also:
  - Serialized Form

## Nested Class Summary

### Nested classes/interfaces inherited from class X509Exception

`X509Exception.KeyManagerException, X509Exception.SSLContextException, X509Exception.TrustManagerException`

## Constructor Summary

Constructors
Constructor
Description
`SSLContextException(String message)`
`SSLContextException(String message, Throwable cause)`
`SSLContextException(Throwable cause)`

## Method Summary

### Methods inherited from class Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### SSLContextException

public SSLContextException(String message)

### SSLContextException

public SSLContextException(Throwable cause)

### SSLContextException

public SSLContextException(String message, Throwable cause)